Package org.eclipse.wst.xsl.xalan.debugger

## org.eclipse.wst.xsl.xalan.debugger
Class XalanDebugger

    public class XalanDebugger
    extends AbstractDebugger

## Constructor Summary

`XalanDebugger()`

## Method Summary

`public void` | `addTransformer(javax.xml.transform.Transformer transformer)`
`public void` | `debuggerSuspended(BreakPoint breakpoint)`
`public Variable` | `getVariable(int id)` Gets a variable by ID
`package-private void` | `setCurrentTraceListener(org.eclipse.wst.xsl.xalan.debugger.XalanTraceListener currentTraceListener)`
`public void` | `setTransformerFactory(javax.xml.transform.TransformerFactory factory)`

## Constructor Detail

## XalanDebugger

`public XalanDebugger()`

## Methods Detail

## addTransformer

`public void addTransformer(javax.xml.transform.Transformer transformer)`

### Parameters

`transformer`

## debuggerSuspended

`public void debuggerSuspended(BreakPoint breakpoint)`

### Parameters

`breakpoint`

## getVariable

`public Variable getVariable(int id)`

Gets a variable by ID

### Parameters

`id`

### Returns

`Variable`

## setCurrentTraceListener

`package-private void setCurrentTraceListener(org.eclipse.wst.xsl.xalan.debugger.XalanTraceListener currentTraceListener)`

### Parameters

`currentTraceListener`

## setTransformerFactory

`public void setTransformerFactory(javax.xml.transform.TransformerFactory factory)`

### Parameters

`factory`